Get exchanges
curl --request GET \
--url https://api.messari.io/metrics/v1/exchanges \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v1/exchanges"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v1/exchanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": [
{
"id": "d8b0ea44-1963-451e-ac37-aead4ba3b4c7",
"name": "Binance",
"slug": "binance",
"type": "centralized",
"yearEstablished": 2017,
"region": "Americas",
"country": "Cayman Islands",
"typeRank30D": 1,
"globalRank30D": 1,
"relatedExchangeIDs": [
"86f92f67-7968-4c8d-8cb6-a5b1c80ef185",
"eabe49f0-c1a3-4166-b773-780fe809ac93",
"b196e8a3-34cc-40bd-a6cb-bb8283958021",
"86f92f67-7968-4c8d-8cb6-a5b1c80ef185",
"174e0471-1033-4e12-97d5-9f234ed21142"
],
"metrics": {
"volume24Hour": 22972526466.775723,
"trades24Hour": 63566819,
"assetsCount": 613,
"marketsCount": 3036
}
},
{
"id": "86f92f67-7968-4c8d-8cb6-a5b1c80ef185",
"name": "Toobit",
"slug": "toobit",
"type": "centralized",
"yearEstablished": 2022,
"region": "Americas",
"country": "Cayman Islands",
"typeRank30D": 9,
"globalRank30D": 9,
"relatedExchangeIDs": [
"d8b0ea44-1963-451e-ac37-aead4ba3b4c7",
"eabe49f0-c1a3-4166-b773-780fe809ac93",
"b196e8a3-34cc-40bd-a6cb-bb8283958021",
"d8b0ea44-1963-451e-ac37-aead4ba3b4c7",
"174e0471-1033-4e12-97d5-9f234ed21142"
],
"metrics": {
"volume24Hour": 5058775487.076545,
"trades24Hour": 3397496,
"assetsCount": 444,
"marketsCount": 450
}
},
{
"id": "eaad939f-52c1-4a08-9857-c520a01072cc",
"name": "MEXC Global",
"slug": "mexc",
"type": "centralized",
"yearEstablished": 2018,
"region": "Africa",
"country": "Seychelles",
"typeRank30D": 4,
"globalRank30D": 4,
"relatedExchangeIDs": [
"bd9ed9e8-b95f-43e8-b156-654e62fc556f",
"2b482c0b-592c-47a3-bc24-33c8788feea7",
"4173177d-94f8-4ab5-9f67-5dc67663f88d",
"6b7daad8-c6f0-48fd-a3db-e1276f03918d",
"75a38c76-4ae7-4f06-9e5b-6e11eb70bdab"
],
"metrics": {
"volume24Hour": 4976318033.134372,
"trades24Hour": 21724715,
"assetsCount": 3321,
"marketsCount": 3687
}
},
{
"id": "174e0471-1033-4e12-97d5-9f234ed21142",
"name": "LBank",
"slug": "lbank",
"type": "centralized",
"yearEstablished": 2015,
"region": "Americas",
"country": "Virgin Islands (British)",
"typeRank30D": 8,
"globalRank30D": 8,
"relatedExchangeIDs": [
"0db82dc0-fa38-4831-b50a-3ac803de1754",
"7ac870f5-a3ff-486d-a5a1-5d58140da970",
"dcb635f3-8289-4459-b883-b0a57948df18",
"0dc16437-463b-48ec-9fd1-50b9fdcedb8c",
"e9adc72e-29fa-44b0-b937-3b7e334b414e"
],
"metrics": {
"volume24Hour": 4786911401.829281,
"trades24Hour": 13152217,
"assetsCount": 1713,
"marketsCount": 1821
}
},
{
"id": "6e9a85b8-5adf-484b-88d9-9992e9975b68",
"name": "CoinW",
"slug": "coinw",
"type": "centralized",
"yearEstablished": 2017,
"region": "Asia",
"country": "United Arab Emirates",
"typeRank30D": 2,
"globalRank30D": 2,
"relatedExchangeIDs": [
"1f8cff02-1906-4654-b8cc-8aa4d21ba0fe",
"2128b895-e571-46fa-9c3c-40c3feb6a45b",
"42f98807-bdd8-426e-a5d8-0556af0c17e0",
"ddc53ba2-ad8a-4bae-a1ff-47e9e6e1ca73",
"a77cae0e-d6f8-4865-8455-d6f737f428a9"
],
"metrics": {
"volume24Hour": 4678343885.744075,
"trades24Hour": 2824472,
"assetsCount": 523,
"marketsCount": 555
}
}
],
"metadata": {
"pageSize": 10,
"page": 1,
"totalRows": 294,
"totalPages": 30
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Exchanges (included with Enterprise)
List Exchanges
Retrieve a list of exchanges
GET
/
metrics
/
v1
/
exchanges
Get exchanges
x402 Support: Supported.
See the x402 guide.
Authorizations
Query Parameters
Number of items per page
Example:
10
Number of items per page. Kept for backward compatibility
Page number
Example:
1
Filter by exchange type
Available options:
centralized, decentralized ⌘I

